# Middle

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Middle` class for you.
{% endhint %}

```csharp
public class Middle : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                   | Description                                                                          |
| ---------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| Middle(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Middle object with the specified finger joint types and finger joints. |

### Properties

| Name | Type                                         | Description                                                  |
| ---- | -------------------------------------------- | ------------------------------------------------------------ |
| MCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle finger metacarpophalangeal joint.      |
| PIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle finger proximal interphalangeal joint. |
| DIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle finger distal interphalangeal joint.   |
| Tip  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle finger tip joint.                      |

### Example

The example shows how to manage a middle finger with the `Middle`class.

#### Create a middle finger with a constructor

```csharp
// Create a middle tip joint with the specified 2D position and 
// 3D position.
FingerJoint middleTip = new FingerJoint
(
    FingerJointType.MiddleTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a middle DIP joint with the specified 2D position and 
// 3D position.
FingerJoint middleDIP = new FingerJoint
(
    FingerJointType.MiddleDIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a middle finger with the specified middle joints.
Middle middle = new Middle
(
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.MiddleTip, middleTip },
         { FingerJointType.MiddleDIP, middleDIP }
     }
 );
```

#### Get joint information from a middle finger

```csharp
// Get middle Tip joint.
FingerJoint middleTipNew = middle.Tip;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/middle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
